package com.xunhong.erp.turbo.biz.domain.gateway;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xunhong.erp.turbo.api.biz.dto.cmd.SupplierCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.SupplierDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.SupplierUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.SupplierCheckQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.SupplierListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.SupplierPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.SupplierShowQry;
import com.xunhong.erp.turbo.biz.domain.entity.Supplier;

import java.util.List;

/**
 * @author shenyifei
 */
public interface SupplierGateway {
	Supplier save(SupplierCreateCmd supplierCreateCmd);

	IPage<Supplier> page(SupplierPageQry supplierPageQry);

	List<Supplier> list(SupplierListQry supplierListQry);

	Supplier update(SupplierUpdateCmd supplierUpdateCmd);

	Supplier show(SupplierShowQry supplierShowQry);

	void destroy(SupplierDestroyCmd supplierDestroyCmd);

    Supplier check(SupplierCheckQry supplierCheckQry);
}

